<?php
function corgi_love_setup() {
    global $content_width;
      if ( ! isset( $content_width ) ) {
        $content_width = 768;
      }
  // Add support for a custom header image.
  require get_template_directory() . '/inc/custom-header.php';
  add_theme_support( 'custom-background', array(
    // Background image default
    'default-image' => get_template_directory_uri() . '/images/corgi-love-background.jpg',  
    'wp-head-callback' => '_custom_background_cb'
  ) );
  //Enable support for Post Thumbnails on posts and pages
  // @link http://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
  add_theme_support( 'post-thumbnails' );
  //Makes Corgi Love available for translation.
  load_theme_textdomain( 'corgi-love', get_template_directory() . '/languages' );
  //Add default posts and comments RSS feed links to head
  add_theme_support( 'automatic-feed-links' );
  add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form' ) );
  // Enable Custom menus
  add_theme_support('menus');
  // This theme uses wp_nav_menu() in two locations.
  register_nav_menus( array(
     'primary' => __( 'Navigation', 'corgi-love' ),
     'secondary' => __( 'Footer-menu', 'corgi-love' )
     )
  );
  }
  add_action ('after_setup_theme', 'corgi_love_setup');
  // Google Font include
  function corgi_love_add_editor_styles() {
      $font_url = 'http://fonts.googleapis.com/css?family=Dosis';
      add_editor_style( str_replace( ',', '%2C', $font_url ) );
  }
  add_action( 'init', 'corgi_love_add_editor_styles' );
  function corgi_love_widgets_init() {
    	register_sidebar(array(
    		'name' => 'Sidebar Widgets',
    		'id'   => 'sidebar-widgets',
    		'description'   => __('These are widgets for the sidebar.', 'corgi-love'),
    		'before_widget' => '<div id="%1$s" class="block widget %2$s">',
    		'after_widget'  => '</div>',
    		'before_title'  => '<div class="widget-heading">',
    		'after_title'   => '</div>'
    	));
    }
    add_action( 'widgets_init', 'corgi_love_widgets_init' );
    function custom_excerpt_length( $length ) {
      return 40;
    }
    add_filter( 'excerpt_length', 'custom_excerpt_length', 20 );
    function new_excerpt_more($more) {
           global $post;
      return '...<a href="'. get_permalink($post->ID) . '">' . __('Read More...', 'corgi-love') . '</a>';
    }
    add_filter('excerpt_more', 'new_excerpt_more');
    function corgi_love_scripts() {
      wp_enqueue_style ('corgi-love', get_template_directory_uri() . '/style.css' );
        if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
            wp_enqueue_script( 'comment-reply' );
        }
    }
    add_action( 'wp_enqueue_scripts', 'corgi_love_scripts' );
?>